Create service account credential
curl --request POST \
--url https://api.example.com/api/v2/service-accounts/{id}/credentials \
--header 'Content-Type: application/json' \
--data '
{
"expirationDate": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v2/service-accounts/{id}/credentials"
payload = {
"expirationDate": "2023-11-07T05:31:56Z",
"scopes": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({expirationDate: '2023-11-07T05:31:56Z', scopes: ['<string>']})
};
fetch('https://api.example.com/api/v2/service-accounts/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientSecret": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientSecretPrefix": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
]
},
"meta": {
"requestId": "<string>",
"timestamp": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}Service accounts
Create service account credential
POST
/
api
/
v2
/
service-accounts
/
{id}
/
credentials
Create service account credential
Path Parameters
Body
application/json
⌘I